{$areaId='popupArea'}
{function finalContent}
    {$instance->getSubareaFinalHtml($areaId)|escape:'javascript'}
{/function}
<div>


    <div class="{if $isPreview}dzm-preview-frame dzm-popup-button-preview{/if} container">
        {if $instance->getProperty('triggerType')=='button'}
            {include file='../../../dzm_resources/Portlets/Snippets/simpleButton.tpl' eventId=$instance->getProperty('popupUid')}
        {/if}
    </div>


    {if $isPreview}

        <div data-dzm-event-listener-id="{$instance->getProperty('popupUid')}"
             data-dzm-popup-container="{$instance->getProperty('popupUid')}"
             class="dzm-popup-container-preview dzm-preview-frame container {$instance->getStyleClasses()}">

            <button type="button" class="dzm-popup-close-btn"  aria-label="Close" style="" data-dzm-popup-closebutton="{$instance->getProperty('popupUid')}">
                <span aria-hidden="true">×</span>
            </button>

            <div {if $isPreview}data-area-id="{$areaId}"{/if} class="opc-area " style="{$instance->getStyleString()};{if $instance->getProperty('shadow')}box-shadow: 0px 10px 40px 0px rgb(0 0 0 / 6%);{else}box-shadow: none;{/if}">
                {$instance->getSubareaPreviewHtml($areaId)}
            </div>

        </div>

    {else}

        <div data-dzm-event-listener-id="{$instance->getProperty('popupUid')}"
             data-dzm-popup-container="{$instance->getProperty('popupUid')}"
             class="dzm-popup-container container {$instance->getStyleClasses()}">

            <button type="button" class="dzm-popup-close-btn"  aria-label="Close" style="" data-dzm-popup-closebutton="{$instance->getProperty('popupUid')}">
                <span aria-hidden="true">×</span>
            </button>

            <div class="dzm-popup-content-wrapper " style="{$instance->getStyleString()};{if $instance->getProperty('shadow')}box-shadow: 0px 10px 40px 0px rgb(0 0 0 / 6%);{else}box-shadow: none;{/if}">

            </div>

        </div>

    {/if}


</div>
<script>
document.addEventListener('DOMContentLoaded',()=>{
    let popup = new DZMPopUpContainer('{$instance->getProperty('popupUid')}','{$instance->getProperty('triggerType')}');
    let options = {
        showOnScroll:{$instance->getProperty('showOnScroll')},
        showAfterSeconds:{$instance->getProperty('showAfterSeconds')},
        scrollToElement:'{$instance->getProperty('scrollToElement')}',
        remember:{if $instance->getProperty('remember')}true{else}false{/if},
        rememberDays:{$instance->getProperty('rememberDays')},
        content:`{call finalContent}`
    }
    popup.init(options);
    (new DZMEventListener('{$instance->getProperty('popupUid')}',()=>{
        console.log(Date.now());
        popup.show(popup)
    })).init()
})


</script>